#include<bits/stdc++.h>
using namespace std;
int main(){
    char a;
    pair<long long,long long> coordinates={0,0};
    while(cin>>a){
        if(a=='U')coordinates.first--;
        if(a=='D')coordinates.first++;
        if(a=='L')coordinates.second--;
        if(a=='R')coordinates.second++;
    }
    if(coordinates.first==0 && coordinates.second==0)cout<<0;
    while(coordinates.first!=0){
        if(coordinates.first<0){
            cout<<'D';
            coordinates.first++;
        }else{
            cout<<'U';
            coordinates.first--;
        }
    }
    while(coordinates.second!=0){
        if(coordinates.second<0){
            cout<<'R';
            coordinates.second++;
        }else{
            cout<<'L';
            coordinates.second--;
        }
    }
    return 0;
}